#!/bin/bash

# Author: Silian Della Ragione
# Version: 0.0.1
# License GNU/GPL
############################################################################
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
############################################################################

while [ 1 ]; do
   read notification || exit

   if [ "x$notification" == "xtrackChange" ]; then
      artist=` dcop amarok player artist`
      album=`dcop amarok player album`
      title=`dcop amarok player title`
      now_playing="${artist} - ${album} - ${title}"
      
      status=`gajim-remote get_status`
      if [ "${?}" = "0" ]; then
         if [ ! "${status}" = "offline" ]; then
            accounts=`gajim-remote list_accounts`
            for account in ${accounts}; do
               gajim-remote change_status "${status}" "${now_playing}" "${account}"
            done 
         fi
      fi
   fi
done
